import { forwardRef, useImperativeHandle, useRef } from 'react';

export default forwardRef(function Select({ children, className = '', ...props }, ref) {
    const localRef = useRef(null);

    useImperativeHandle(ref, () => ({
        focus: () => localRef.current?.focus(),
    }));
    return (
        <select
            {...props}
            ref={localRef}
            className={'rounded-lg py-[4px] border border-border focus:border-border focus:ring-border lg:text-[.8rem] sm:text-lg bg-background-secondary w-full text-white autofill:bg-transparent bg-transparent text-text-primary ' + className}
        >
            {children}
        </select>
    );
});
